<div class="container mt-3">
  <div class="card">
    <div class="card-header bg-info">
      <h3 class="text-light">Dodavanje predmeta</h3>
    </div>
    <div class="card-body">
      <form #addPredmet="ngForm">
        <div class="form-group">
          <label for="naziv">
            <b>Naziv</b>
          </label>
          <input class="form-control" #naziv="ngModel" minlength="4" name="naziv" [(ngModel)]="predmetPost.naziv" required>
          <p class="text-danger" *ngIf="naziv.invalid && (naziv.dirty || naziv.touched)">Polje ne sme biti prazno</p>
        </div>
        <div class="form-group">
          <label for="oznaka">
            <b>Oznaka</b>
          </label>
          <input class="form-control" name="oznaka" #oznaka="ngModel" minlength="2" required [(ngModel)]="predmetPost.oznaka">
          <p class="text-danger" *ngIf="oznaka.invalid && (oznaka.dirty || oznaka.touched)">Polje ne sme biti prazno</p>
        </div>
        <div class="row">
          <div class="col-6">
            <div class="form-group">
              <label>
                <b>Predispitna Obaveza</b>
              </label>
              <select class="form-control col-6" [(ngModel)]="predmetPost.predispitnaObaveza" name="predispitnaObaveza">
                <option *ngFor="let predispitna of predispitneObaveze" value={{predispitna.id}}>{{predispitna.naziv}}</option>
              </select>
            </div>
          </div>
          <div class="col-6">
            <div class="form-group">
              <label>
                <b>ESPB</b>
              </label>
              <select class="form-control col-6" [(ngModel)]="predmetPost.espb" name="espb">
                <option *ngFor="let number of [1,2,3,4,5,6,7,8]" value={{number}}>{{number}}</option>
              </select>
            </div>
          </div>
        </div>
      </form>
    </div>
    <div class="card-footer">
      <div class="row">
        <div class="col-2">
            <button class="btn btn-success" [disabled]="addPredmet.invalid" (click)="onAdd()">Add Predmet</button>
        </div>
        <div class="col-9"></div>
        <div class="col-1">
            <button class="btn btn-info" (click)="onBack()">Back</button>
        </div>
      </div>
    </div>
  </div>
</div>
